Bug 58860 - many log entries of vgaHWGetIOBase ...
many log entries of vgaHWGetIOBase ...
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-01-25 18:25 EST by daryl herzmann
Modified: 2007-04-18 12:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-02-13 12:53:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
First Part of Logfile (29.56 KB, text/plain)
2002-01-25 18:27 EST, daryl herzmann
no flags Details
lspci -v ; lspci -n (3.15 KB, text/plain)
2002-01-25 18:30 EST, daryl herzmann
no flags Details
XF86Config-4 (2.71 KB, text/plain)
2002-01-25 18:31 EST, daryl herzmann
no flags Details

  None (edit)
Description daryl herzmann 2002-01-25 18:25:18 EST
Description of Problem:
	After installing Mike Harris' testing RPMS for XFree4.2.0-0.2, my
/var/log/XFree86.0.log keeps filling with this message
(II) TRIDENT(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x0000

Version-Release number of selected component (if applicable):
RedHat Linux 7.2
Linux xxx 2.4.9-13SGI_XFS_1.0.2 #1 Thu Nov 15 14:28:44 CST 2001 i686 unknown

Additional Information:
PCI Trident Microsystems Blade 3D PCI video
AMD Athlon 1200MHz

I will attach lspci, and the first part of the XFree logfile

Comment 1 daryl herzmann 2002-01-25 18:27:24 EST
Created attachment 43554 [details]
First Part of Logfile
Comment 2 daryl herzmann 2002-01-25 18:30:23 EST
Created attachment 43555 [details]
lspci -v ; lspci -n
Comment 3 daryl herzmann 2002-01-25 18:31:58 EST
Created attachment 43556 [details]
Comment 4 vvs 2002-01-28 07:42:55 EST
How did you manage to use kernel 2.4.9 with XFree86 4.2.0? I thought it required
DRM 4.2, which wasn't there.
Comment 5 Mike A. Harris 2002-01-28 08:20:27 EST
Trident video hardware isn't supported by DRI at all, so the kernel
version wouldn't matter anyway for DRM.  The DRM dependancy wasn't
added until a later release of my XFree86 package for 4.2.0 anyway,
so it wouldn't have prevented installation.

One thing I do notice now that I missed before however,is that you're
not using the Red Hat Linux kernel.  Red Hat does not support using
SGI's kernel nor XFS.

Can you reproduce this error using a Red Hat kernel?
Comment 6 daryl herzmann 2002-01-31 01:04:21 EST
Hmmm, all my boxes are running XFS now.  I did not have this problem with prior
versions of XFree, I was using 3.3.6 XF86_SVGA.

I updated to 2.4.14 XFS1.0.2, but still have the same messages.

Also, this box is routinely crashing for no apparent reason (no logs).  That is
why I tried the latest XFree, since it would often lock up when a user 'startx',
but not every time.

This is total ignorance and from left-field, but am I hitting the Athlon kernel

cpu family      : 6
model           : 4
model name      : AMD Athlon(tm) Processor
stepping        : 2

Maybe I can borrow a friends box, and try it there.  Thanks for the help!
Comment 7 daryl herzmann 2002-02-13 12:53:16 EST
Hi, I went back and installed the errata XFree for 7.2 (4.1.0-15) and I am no
longer getting the error message and X has worked for me so far...

I tried to install a newer version of 4.2.0 from rawhide, but that was a
dependancy nightmare. 

I will see how 4.1.0 treats me!  Thanks for your time.
Comment 8 Maciej Żenczykowski 2003-06-24 14:37:12 EDT
Mouse produces tons of vgaHWGetIOBase log messages

RED HAT LINUX 8.0 -- XFree86-4.2.0-72

Satellite 2590CDT notebook.
RedHat 8.0 installation - fully up2date (as of writing).
Running on an old (modified for hibernation) RH kernel 2.4.9-34athena2
[nb. this is probably irrelevent as the logs are produced by XFree
and not the kernel]

Running XWindows produces a decent logfile on startup, however
once it is running moving any attached mouse produces lines upon
lines (I've had a log file in and around 200 MB) of:
(if rapidly moving mouse rate of generation is around 300KB /
25 seconds - during normal use a few hours usually generate a couple tens of

(II) TRIDENT(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x0000

this is interspersed with a few (correctly generated):
(II) PM Event received: Power Status Change

besides this (and the startup messages) the log is empty.

I can produce any additional info you may need, I think it's just a debugging
line in the source which hasn't been turned off.

[this happens with both builtin mouse and USB logitech 2btn+roller mouse,
it seems that displaying the HW mouse cursor produces a log line per display...]
Comment 9 Maciej Żenczykowski 2003-06-26 05:40:37 EDT
The latest up2date rpms of XWindows (4.2.1-20) solve this problem - However they
seem to be compiled with debugging enabled?

Note You need to log in before you can comment on or make changes to this bug.